#!/usr/bin/env python
import dS
from dsmapi2 import *

from optparse import OptionParser
import sys

if __name__ == "__main__":
    parser = OptionParser()
    (options, args) = parser.parse_args()

    if len(sys.argv) < 1:
        print "dsm_reboot.py <dsuid> tcp://localhost:8442"

    dsuid = dS.parse_colon_dsuid(sys.argv[1])

    if len(sys.argv) == 2:
        address = "tcp://localhost:8442"
    else:
        address = sys.argv[2]

    h = dS.initLib(address)

    dSMReboot(h, dsuid)
    dS.cleanupLib(h)
